Get an order - Fabric

Get an order

cURL

curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/order/ \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python Example

import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript Example

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example




HTTP Response Codes

Successful Response Example

{
  "orderNumber": "309019176",
  "channelId": "12",
  "statusCode": "ORDER_CREATED",
  "items": [
    {
      "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
      "lineItemNumber": 1,
      "itemId": "1234",
      "sku": "P1234",
      "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
      "channelId": "WHBM",
      "vendorId": "P1234",
      "title": "Item",
      "orderedQuantity": 60,
      "shippedQuantity": 10,
      "itemUnitPrice": 10,
      "itemTotal": 555,
      "currency": "USD"
    }
  ],
  "orderId": "5349b4ddd2781d08c09890f4",
  "orderDate": "2022-05-12T09:30:31.198Z",
  "total": 146.9
}

Error Response Example

{
  "message": "Bad request"
}
{
  "message": "Order with order number is not found"
}
{
  "message": "Internal server error"
}

Authorization Header

Headers Required